Package twisted :: Package protocols :: Module sip :: Class BasicAuthorizer |
[frames | no frames]

## Class BasicAuthorizer

Authorizer for insecure Basic (base64-encoded plaintext) authentication.

This form of authentication is broken and insecure. Do not use it.

Method Summary
| `decode(self, response)`
| `getChallenge(self, peer)`

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.protocols.sip.IAuthoriz...`

Class Variable Details

    ### __implements__ Type: `tuple` Value:
        (<class twisted.protocols.sip.IAuthorizer at 0x876ab6c>,)

Generated by Epydoc 2.0 on Sat Oct 25 00:55:09 2003 | http://epydoc.sf.net